## Median Smoothing

## Usage

    smooth(x)

## Arguments

`x` | a vector or time series

## Description

This function applies the smoothing method 3RSR to `x`. 3R stands for Repeated running `median`s of 3.

## Value

A vector or time series containing the smoothed values. Note that there are other smoothing methods which provide rather better results.

## References

Tukey (1977). E.D.A; see ref. in `line`.

## See Also

`lowess`.

## Examples

    library(eda)
    data(presidents)
    presidents[is.na(presidents)] <- 0
    plot(presidents)
    lines(smooth(presidents))

[Package Contents]